Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class StringBuildMemoizer

    java.lang.Object
      edu.stanford.nlp.util.StringBuildMemoizer

    public class StringBuildMemoizer

extends Object

Class for memoizing the result of string concatenations. This class is probably a better choice than StringBuilder and StringBuffer if many string concatenations are identical.

Author:
  Michel Galley

Constructor Summary
`StringBuildMemoizer()`

Method Summary
`static void` | `main(String[] args)`
`static void` | `setStringAllowance(int a)`
`static String` | `toString(String... arr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringBuildMemoizer

    public StringBuildMemoizer()

Method Detail

### setStringAllowance

    public static void setStringAllowance(int a)

### toString

    public static String toString(String... arr)

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group